import { MyStatusCodeModel, StatusCodeModel } from "./status-code.model";

export interface PmsMasfromEvaluationModel {
    pmsEvaluationRoundId: string
    companyId: string
    tdesc: string
    edesc: string
    apsyear: string
    apsPeriodStart: string
    apsPeriodEnd: string
    statusCode: StatusCodeModel
}

export class MyPmsMasfromEvaluationModel implements PmsMasfromEvaluationModel {
    pmsEvaluationRoundId: string
    companyId: string
    tdesc: string
    edesc: string
    apsyear: string
    apsPeriodStart: string
    apsPeriodEnd: string
    statusCode: StatusCodeModel
    constructor(data?: Partial<PmsMasfromEvaluationModel>) {
        this.pmsEvaluationRoundId = data?.pmsEvaluationRoundId || "";
        this.companyId = data?.companyId || "";
        this.tdesc = data?.tdesc || "";
        this.edesc = data?.edesc || "";
        this.apsyear = data?.apsyear || "";
        this.apsPeriodStart = data?.apsPeriodStart || "";
        this.apsPeriodEnd = data?.apsPeriodEnd || "";
        this.statusCode = new MyStatusCodeModel(data?.statusCode)

    }
}
